App\Library\Amazon\Classes\ToysAndGames:
    xml_root_name: ToysAndGames
    properties:
        awardsWon:
            expose: true
            access_type: public_method
            serialized_name: AwardsWon
            accessor:
                getter: getAwardsWon
                setter: setAwardsWon
            type: string
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: App\Library\Amazon\Classes\TimeDimensionType
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: App\Library\Amazon\Classes\TimeDimensionType
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        directions:
            expose: true
            access_type: public_method
            serialized_name: Directions
            accessor:
                getter: getDirections
                setter: setDirections
            type: string
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: App\Library\Amazon\Classes\EnergyConsumptionDimensionType
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: App\Library\Amazon\Classes\VoltageDecimalDimensionType
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        numberOfFrequencyChannels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfFrequencyChannels
            accessor:
                getter: getNumberOfFrequencyChannels
                setter: setNumberOfFrequencyChannels
            type: integer
        numberOfControlChannels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfControlChannels
            accessor:
                getter: getNumberOfControlChannels
                setter: setNumberOfControlChannels
            type: integer
        frequencyBandsSupported:
            expose: true
            access_type: public_method
            serialized_name: FrequencyBandsSupported
            accessor:
                getter: getFrequencyBandsSupported
                setter: setFrequencyBandsSupported
            type: string
        language:
            expose: true
            access_type: public_method
            serialized_name: Language
            accessor:
                getter: getLanguage
                setter: setLanguage
            type: string
        includesRemote:
            expose: true
            access_type: public_method
            serialized_name: IncludesRemote
            accessor:
                getter: getIncludesRemote
                setter: setIncludesRemote
            type: boolean
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            type: string
        powerSourceType:
            expose: true
            access_type: public_method
            serialized_name: PowerSourceType
            accessor:
                getter: getPowerSourceType
                setter: setPowerSourceType
            type: string
        recommendedUse:
            expose: true
            access_type: public_method
            serialized_name: RecommendedUse
            accessor:
                getter: getRecommendedUse
                setter: setRecommendedUse
            type: string
        remoteControlTechnology:
            expose: true
            access_type: public_method
            serialized_name: RemoteControlTechnology
            accessor:
                getter: getRemoteControlTechnology
                setter: setRemoteControlTechnology
            type: string
        railGauge:
            expose: true
            access_type: public_method
            serialized_name: RailGauge
            accessor:
                getter: getRailGauge
                setter: setRailGauge
            type: string
        regionOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: RegionOfOrigin
            accessor:
                getter: getRegionOfOrigin
                setter: setRegionOfOrigin
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        educationalObjective:
            expose: true
            access_type: public_method
            serialized_name: EducationalObjective
            accessor:
                getter: getEducationalObjective
                setter: setEducationalObjective
            type: string
        engineType:
            expose: true
            access_type: public_method
            serialized_name: EngineType
            accessor:
                getter: getEngineType
                setter: setEngineType
            type: string
        isElectric:
            expose: true
            access_type: public_method
            serialized_name: IsElectric
            accessor:
                getter: getIsElectric
                setter: setIsElectric
            type: boolean
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        materialComposition:
            expose: true
            access_type: public_method
            serialized_name: MaterialComposition
            accessor:
                getter: getMaterialComposition
                setter: setMaterialComposition
            type: string
        mfrWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionLabor
            accessor:
                getter: getMfrWarrantyDescriptionLabor
                setter: setMfrWarrantyDescriptionLabor
            type: string
        mfrWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionParts
            accessor:
                getter: getMfrWarrantyDescriptionParts
                setter: setMfrWarrantyDescriptionParts
            type: string
        mfrWarrantyDescriptionType:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionType
            accessor:
                getter: getMfrWarrantyDescriptionType
                setter: setMfrWarrantyDescriptionType
            type: string
        careInstructions:
            expose: true
            access_type: public_method
            serialized_name: CareInstructions
            accessor:
                getter: getCareInstructions
                setter: setCareInstructions
            xml_list:
                inline: true
                entry_name: CareInstructions
            type: array<string>
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        handleHeight:
            expose: true
            access_type: public_method
            serialized_name: HandleHeight
            accessor:
                getter: getHandleHeight
                setter: setHandleHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatLength:
            expose: true
            access_type: public_method
            serialized_name: SeatLength
            accessor:
                getter: getSeatLength
                setter: setSeatLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatWidth:
            expose: true
            access_type: public_method
            serialized_name: SeatWidth
            accessor:
                getter: getSeatWidth
                setter: setSeatWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        tireMaterial:
            expose: true
            access_type: public_method
            serialized_name: TireMaterial
            accessor:
                getter: getTireMaterial
                setter: setTireMaterial
            type: string
        tireDiameter:
            expose: true
            access_type: public_method
            serialized_name: TireDiameter
            accessor:
                getter: getTireDiameter
                setter: setTireDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        targetGender:
            expose: true
            access_type: public_method
            serialized_name: TargetGender
            accessor:
                getter: getTargetGender
                setter: setTargetGender
            type: string
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        animalType:
            expose: true
            access_type: public_method
            serialized_name: AnimalType
            accessor:
                getter: getAnimalType
                setter: setAnimalType
            type: string
        publisher:
            expose: true
            access_type: public_method
            serialized_name: Publisher
            accessor:
                getter: getPublisher
                setter: setPublisher
            type: string
        skillLevel:
            expose: true
            access_type: public_method
            serialized_name: SkillLevel
            accessor:
                getter: getSkillLevel
                setter: setSkillLevel
            type: string
        styleKeywords:
            expose: true
            access_type: public_method
            serialized_name: StyleKeywords
            accessor:
                getter: getStyleKeywords
                setter: setStyleKeywords
            xml_list:
                inline: true
                entry_name: StyleKeywords
            type: array<string>
        productTheme:
            expose: true
            access_type: public_method
            serialized_name: ProductTheme
            accessor:
                getter: getProductTheme
                setter: setProductTheme
            type: string
        toyAwardName:
            expose: true
            access_type: public_method
            serialized_name: ToyAwardName
            accessor:
                getter: getToyAwardName
                setter: setToyAwardName
            xml_list:
                inline: true
                entry_name: ToyAwardName
            type: array<string>
        publisherContributor:
            expose: true
            access_type: public_method
            serialized_name: PublisherContributor
            accessor:
                getter: getPublisherContributor
                setter: setPublisherContributor
            type: string
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        unknownSubject:
            expose: true
            access_type: public_method
            serialized_name: UnknownSubject
            accessor:
                getter: getUnknownSubject
                setter: setUnknownSubject
            type: string
        scaleName:
            expose: true
            access_type: public_method
            serialized_name: ScaleName
            accessor:
                getter: getScaleName
                setter: setScaleName
            type: string
        batteryTypeLithiumIon:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumIon
            accessor:
                getter: getBatteryTypeLithiumIon
                setter: setBatteryTypeLithiumIon
            type: integer
        batteryTypeLithiumMetal:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumMetal
            accessor:
                getter: getBatteryTypeLithiumMetal
                setter: setBatteryTypeLithiumMetal
            type: integer
        specificationMet:
            expose: true
            access_type: public_method
            serialized_name: SpecificationMet
            accessor:
                getter: getSpecificationMet
                setter: setSpecificationMet
            type: string
        distributionDesignation:
            expose: true
            access_type: public_method
            serialized_name: DistributionDesignation
            accessor:
                getter: getDistributionDesignation
                setter: setDistributionDesignation
            type: string
        countryString:
            expose: true
            access_type: public_method
            serialized_name: CountryString
            accessor:
                getter: getCountryString
                setter: setCountryString
            type: string
